Subject: Re: [AVTCORE] Errata 4192 RFC 3550

From: Magnus Westerlund <[email-masked]>
Date: Mon, 26 Jan 2015 13:59:55 +0100

Hi Julius,

One more mail on your argumentation on why this needs any change at all.

It appear to me that you consider it wrong for a sender or receiver to
report different things with different definitions. So the Sender's
octet count reports on how many bytes the sender has included in the RTP
payload part of the RTP packet. While any timestamping in RTP is
attempted to be done on the RTP packet as whole unit, not specifically
the boundary of the payload for example.

In general the implementation is expected to do its best to timestamp
packets both on sending and receiving. But, unless special
implementations are deployed, these will be done either a bit prior to
any transmission onto a actual physical medium and after on reception.
In most cases this error may be significant because implementations does
not see packets until they come out of the used network API.

cheers

Magnus

On 2014-12-11 19:10, Julius Friedman wrote:
> So then are you implying that it would be correct to change the
> definition of timestamp and other such proposed changes while not
> allowing this one?
> 
> Have I not show that it is incorrect to take the transit time including
> the header but then send only the "payload" count in the report?
> 
> Even when the definition and calulcations just explicitly given show
> that the times taken include ANY data transfer including non rtp?
> 
> Making the change in text makes this calulcations correct and
> unambiguous just as the other proposed changes which are being
> contemplated.
> 
> It also allows for more than correctness by showing when a route is
> altered.
> 
> What reason is there to acknowledge this but reject the errata only to
> propose a new draft?
> 
> On Dec 11, 2014 12:30 PM, "Simon Perreault" <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
> 
>     On Thu, Dec 11, 2014 at 10:20 AM, Julius Friedman
>     <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         How can the items be excellent for a draft but not consideration
>         for errata?
> 
> 
>     Errata is appropriate when an RFC doesn't reflect what the working
>     group meant.
>     A draft is appropriate when an RFC does reflect what the working
>     group meant, but the working group was wrong.
> 
>     Simon
> 
> 
> 
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
> 

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------